cosine_dist {jmotif} | R Documentation

## Computes the cosine similarity between numeric vectors

### Description

Computes the cosine similarity between numeric vectors

### Usage

    cosine_dist(m)

### Arguments

`m` | the data matrix

### Value

Returns the cosine similarity

### Examples

    a <- c(2, 1, 0, 2, 0, 1, 1, 1)
    b <- c(2, 1, 1, 1, 1, 0, 1, 1)
    sim <- cosine_dist(rbind(a,b))

[Package jmotif version 1.0.3 Index]